Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.rn.registries.commons.v1
Enum GivenNameMatchingType

    java.lang.Object
      java.lang.Enum<GivenNameMatchingType>
          be.fgov.ehealth.rn.registries.commons.v1.GivenNameMatchingType

All Implemented Interfaces:
  Serializable, Comparable<GivenNameMatchingType>

    public enum GivenNameMatchingType

extends Enum<GivenNameMatchingType>

Java class for GivenNameMatchingType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="GivenNameMatchingType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="FIRST_LETTER_FIRST_GIVENNAME"/>
         <enumeration value="COMPLETE_FIRST_GIVENNAME"/>
         <enumeration value="ALL_GIVENNAME"/>
         <enumeration value="IGNORE_GIVENNAME"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ALL_GIVENNAME`
`COMPLETE_FIRST_GIVENNAME`
`FIRST_LETTER_FIRST_GIVENNAME`
`IGNORE_GIVENNAME`

Method Summary
`static GivenNameMatchingType` | `fromValue(String v)`
`String` | `value()`
`static GivenNameMatchingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GivenNameMatchingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIRST_LETTER_FIRST_GIVENNAME

    public static final GivenNameMatchingType FIRST_LETTER_FIRST_GIVENNAME

### COMPLETE_FIRST_GIVENNAME

    public static final GivenNameMatchingType COMPLETE_FIRST_GIVENNAME

### ALL_GIVENNAME

    public static final GivenNameMatchingType ALL_GIVENNAME

### IGNORE_GIVENNAME

    public static final GivenNameMatchingType IGNORE_GIVENNAME

Method Detail

### values

    public static GivenNameMatchingType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GivenNameMatchingType c : GivenNameMatchingType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GivenNameMatchingType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static GivenNameMatchingType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.